#include <bits/stdc++.h>
using namespace std;
int n,m;
long long a,s,h;
int main(){
    cin>>n>>m;
    for(int i=1;i<=n;i++){
        cin>>a;
    }
    for(int j=1;j<=m;j++){
        cin>>s>>h;
    }
    cout<<m*2<<endl;


    return 0;
}